### Method

# Phosh MMDBusObjectSkeleton set_modem

#### Declaration [src]

    void
    phosh_mm_dbus_object_skeleton_set_modem (
      PhoshMMDBusObjectSkeleton* object,
      PhoshMMDBusModem* interface_
    )

#### Description [src]

Sets the `PhoshMMDBusModem` instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object`.

#### Parameters

`interface_`

  Type: `PhoshMMDBusModem`

  A `PhoshMMDBusModem` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.